%bcond_without tests

Name:           wildmatch
Version:        0.9
Release:        %autorelease
Summary:        C/C++ library for git/rsync-style pattern matching

License:        BSD-3-Clause and BSD-4-Clause and GPL-2.0-or-later
URL:            https://github.com/davvid/wildmatch
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  sed

%description
wildmatch is a BSD-licensed C/C++ library for git/rsync-style pattern matching.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1
# Use version as soname for the shared libraries
sed -i wildmatch/CMakeLists.txt \
    -e '/wildmatch SHARED/aSET_TARGET_PROPERTIES(wildmatch PROPERTIES VERSION %{version})' \
    -e '/wildmatch-cxx SHARED/aSET_TARGET_PROPERTIES(wildmatch-cxx PROPERTIES VERSION %{version})'

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md
%{_libdir}/libwildmatch*.so.*

%files devel
%license LICENSE
%{_includedir}/*
%{_libdir}/libwildmatch*.so

%changelog
%autochangelog
